import {Component, OnInit} from '@angular/core';
import {OverAllService} from '../../overAll/overAll.service';
import {NzMessageService} from 'ng-zorro-antd';

@Component({
    selector: 'smart-website',
    templateUrl: './website.component.html',
    styles: []
})
export class WebsiteComponent implements OnInit {

    isVisible = false;
    title;
    tabNum = 0;

    validateForm;
    steps = [];

    constructor(private overAllSer:OverAllService,private message:NzMessageService) {
    }

    ngOnInit() {
        this.initForm();
    }

    initForm() {
        this.steps = [];
        this.validateForm = {
            name: '',
            hostid: null,
            applicationid: null,
            delay: '',
            retries: null,
            variables: '',
            http_proxy: '',
            ssl_cert_file: '',
            ssl_key_file: '',
            ssl_key_password: '',
            steps: this.steps,
        };
    }

    showAddModal() {
        this.title = '添加网站监测';
        this.isVisible = true;
    }

    showEditModal() {
        this.isVisible = true;
    }

    handleOk() {
        // this.isVisible = false;
        if(this.title == '添加网站监测'){
            this.create();
        }else{
            this.update();
        }
    }

    //创建
    create(){
        const data = {};
        this.overAllSer.createWebscenario(this.validateForm).subscribe(
            (res)=>{
                if(res.errCode == 10000){
                    this.message.info('添加成功');
                    this.initForm();
                }else{
                    this.message.info(res.errMsg);
                }
            }
        )
    }

    //更新
    update(){

    }

    handleCancel() {
        this.isVisible = false;
    }

    tabsChange(index) {
        this.tabNum = index;
    }

}
